QGIS Application - Bug report #14691
Type changing from INTEGER (10) to QSTRING in QGIS 2.8.8
2016-04-15 04:02 AM - Thomas Nogatz

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:2.8.8 Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 22655
Description

Shapefile field type INTEGER (length 10) will be changed to QSTRING (Typename INTEGER64) automatically in QGIS 2.8.8. after
closing and restarting QGIS.

Creating a new shapefile there is the field ID with type INTEGER 10 - here the type will be changed during creating process - no need to
close and restart QGIS.

Other types (also INTEGER length 1 ... 9) seem to be not affected.

History

#1 - 2016-04-15 04:21 AM - Jukka Rahkonen

| guess that this comes from the limitations of the .dbf format
http://devzone.advantagedatabase.com/dz/webhelp/Advantage9.0/server1/dbf_field_types_and_specifications.htm. Integers are written with 4 bytes and
possible values are from -2,147,483,648 to 2,147,483,647. A value like 3,000,000,000 has 10 digits but it is too long to fit into 8 bytes.

Having at maximum 9 digits in integers is safe but by the same the values from 1,000,000,000 to 2,147,483,647 are lost. On the negative side the loss is

perhaps bigger if the minus sign takes also one place.

#2 - 2017-02-04 02:50 AM - Giovanni Manghi
- Priority changed from Normal to High

#3 - 2017-03-07 10:48 AM - Giovanni Manghi
- Crashes QGIS or corrupts data changed from Yes to No

- Priority changed from High to Normal

#4 - 2017-05-01 01:05 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#5 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
